## rust-svg-metadata 0.5.1

=== Makefile ===
# Use bash
SHELL := /bin/bash

# Default target
.DEFAULT_GOAL := help


.PHONY: help
help: ## Show this help
	@echo "Usage: make [target]"
	@echo
	@echo "Targets:"
	@awk '/^[a-zA-Z\-\_0-9]+:/ { \
		helpMessage = match(lastLine, /^## (.*)/); \
		if (helpMessage) { \
			helpCommand = substr($$1, 0, index($$1, ":")-1); \
			helpMessage = substr(lastLine, RSTART + 3, RLENGTH); \
			printf "  \033[36m%-15s\033[0m %s
			


.PHONY: lint
lint: ## Lint project
	cargo clippy --all-targets --all-features -- -D warnings

.PHONY: test
test: ## Test project
	cargo test --all-targets --all-features

.PHONY: build
build: ## Build binary
	cargo build --all-targets --all-features

## rust-svg-metadata 0.4.3

=== debian/changelog ===
rust-svg-metadata (0.4.3-1) unstable; urgency=medium

  * Package svg_metadata 0.4.3 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Tue, 27 Dec 2022 20:40:35 +0100

=== debian/control ===
Source: rust-svg-metadata
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-doc-comment-0.3+default-dev (>= 0.3.3-~~) <!nocheck>,
 librust-lazy-static-1+default-dev (>= 1.4.0-~~) <!nocheck>,
 librust-regex-1+default-dev (>= 1.6.0-~~) <!nocheck>,
 librust-roxmltree-0.16+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <matthias.geiger1024@tutanota.de>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/svg-metadata]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/svg-metadata
Homepage: https://github.com/mre/svg-metadata
X-Cargo-Crate: svg_metadata
Rules-Requires-Root: no

Package: librust-svg-metadata-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-doc-comment-0.3+default-dev (>= 0.3.3-~~),
 librust-lazy-static-1+default-dev (>= 1.4.0-~~),
 librust-regex-1+default-dev (>= 1.6.0-~~),
 librust-roxmltree-0.16+default-dev
Provides:
 librust-svg-metadata+default-dev (= ${binary:Version}),
 librust-svg-metadata-0-dev (= ${binary:Version}),
 librust-svg-metadata-0+default-dev (= ${binary:Version}),
 librust-svg-metadata-0.4-dev (= ${binary:Version}),
 librust-svg-metadata-0.4+default-dev (= ${binary:Version}),
 librust-svg-metadata-0.4.3-dev (= ${binary:Version}),
 librust-svg-metadata-0.4.3+default-dev (= ${binary:Version})
Description: Extracts metadata (like the viewBox, width, and height) from SVG graphics - Rust source code
 This package contains the source for the Rust svg_metadata crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test svg_metadata 0.4.3 --all-targets --all-features
Features: test-name=rust-svg-metadata:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test svg_metadata 0.4.3 --all-targets 
Features: test-name=librust-svg-metadata-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test svg_metadata 0.4.3 --all-targets --no-default-features
Features: test-name=librust-svg-metadata-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-svg-metadata 0.5.0

=== debian/changelog ===
rust-svg-metadata (0.5.0-2) unstable; urgency=medium

  * Team upload.
  * Upgrade roxmltree to v0.20

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 10 Aug 2024 12:39:09 +0200

rust-svg-metadata (0.5.0-1) unstable; urgency=medium

  * Package svg_metadata 0.5.0 from crates.io using debcargo 2.6.1
  * Updated my mail address in debcargo.toml
  * Updated copyright years
  * New upstream release (Closes: #1059103)
  * Refresh patch for roxmltree
  * Add patch to skip broken doctest

 -- Matthias Geiger <werdahias@riseup.net>  Mon, 22 Apr 2024 12:37:04 +0200

rust-svg-metadata (0.4.3-2) unstable; urgency=medium

  * Package svg_metadata 0.4.3 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Tue, 10 Jan 2023 11:48:57 +0100

=== debian/control ===
Source: rust-svg-metadata
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-doc-comment-0.3+default-dev (>= 0.3.3-~~) <!nocheck>,
 librust-once-cell-1+default-dev (>= 1.18.0-~~) <!nocheck>,
 librust-regex-1+default-dev (>= 1.9.5-~~) <!nocheck>,
 librust-roxmltree-0.20+default-dev <!nocheck>,
 librust-skeptic-0.13+default-dev (>= 0.13.7-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <werdahias@riseup.net>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/svg-metadata]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/svg-metadata
Homepage: https://github.com/mre/svg-metadata
X-Cargo-Crate: svg_metadata
Rules-Requires-Root: no

Package: librust-svg-metadata-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-doc-comment-0.3+default-dev (>= 0.3.3-~~),
 librust-once-cell-1+default-dev (>= 1.18.0-~~),
 librust-regex-1+default-dev (>= 1.9.5-~~),
 librust-roxmltree-0.20+default-dev,
 librust-skeptic-0.13+default-dev (>= 0.13.7-~~)
Provides:
 librust-svg-metadata+default-dev (= ${binary:Version}),
 librust-svg-metadata-0-dev (= ${binary:Version}),
 librust-svg-metadata-0+default-dev (= ${binary:Version}),
 librust-svg-metadata-0.5-dev (= ${binary:Version}),
 librust-svg-metadata-0.5+default-dev (= ${binary:Version}),
 librust-svg-metadata-0.5.0-dev (= ${binary:Version}),
 librust-svg-metadata-0.5.0+default-dev (= ${binary:Version})
Description: Extracts metadata (like the viewBox, width, and height) from SVG graphics - Rust source code
 Source code for Debianized Rust crate "svg_metadata"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test svg_metadata 0.5.0 --all-targets --all-features
Features: test-name=rust-svg-metadata:@
Depends: dh-cargo (>= 18), librust-skeptic-0.13+default-dev (>= 0.13.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test svg_metadata 0.5.0 --all-targets
Features: test-name=librust-svg-metadata-dev:default
Depends: dh-cargo (>= 18), librust-skeptic-0.13+default-dev (>= 0.13.7-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test svg_metadata 0.5.0 --all-targets --no-default-features
Features: test-name=librust-svg-metadata-dev:
Depends: dh-cargo (>= 18), librust-skeptic-0.13+default-dev (>= 0.13.7-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-svg-metadata 0.5.1

=== debian/changelog ===
rust-svg-metadata (0.5.1-1) unstable; urgency=medium

  * Team upload.
  * Package svg_metadata 0.5.1 from crates.io using debcargo 2.7.0

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 04 Oct 2024 20:20:16 -0300

=== debian/control ===
Source: rust-svg-metadata
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-doc-comment-0.3+default-dev (>= 0.3.3-~~) <!nocheck>,
 librust-once-cell-1+default-dev (>= 1.19.0-~~) <!nocheck>,
 librust-regex-1+default-dev (>= 1.10.4-~~) <!nocheck>,
 librust-roxmltree-0.20+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <werdahias@riseup.net>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/svg-metadata]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/svg-metadata
Homepage: https://github.com/mre/svg-metadata
X-Cargo-Crate: svg_metadata
Rules-Requires-Root: no

Package: librust-svg-metadata-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-doc-comment-0.3+default-dev (>= 0.3.3-~~),
 librust-once-cell-1+default-dev (>= 1.19.0-~~),
 librust-regex-1+default-dev (>= 1.10.4-~~),
 librust-roxmltree-0.20+default-dev
Provides:
 librust-svg-metadata+default-dev (= ${binary:Version}),
 librust-svg-metadata-0-dev (= ${binary:Version}),
 librust-svg-metadata-0+default-dev (= ${binary:Version}),
 librust-svg-metadata-0.5-dev (= ${binary:Version}),
 librust-svg-metadata-0.5+default-dev (= ${binary:Version}),
 librust-svg-metadata-0.5.1-dev (= ${binary:Version}),
 librust-svg-metadata-0.5.1+default-dev (= ${binary:Version})
Description: Extracts metadata (like the viewBox, width, and height) from SVG graphics - Rust source code
 Source code for Debianized Rust crate "svg_metadata"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test svg_metadata 0.5.1 --all-targets --all-features
Features: test-name=rust-svg-metadata:@
Depends: dh-cargo (>= 31), rustc:native, librust-doc-comment-0.3+default-dev (>= 0.3.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test svg_metadata 0.5.1 --all-targets
Features: test-name=librust-svg-metadata-dev:default
Depends: dh-cargo (>= 31), rustc:native, librust-doc-comment-0.3+default-dev (>= 0.3.3-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test svg_metadata 0.5.1 --all-targets --no-default-features
Features: test-name=librust-svg-metadata-dev:
Depends: dh-cargo (>= 31), rustc:native, librust-doc-comment-0.3+default-dev (>= 0.3.3-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/svg_metadata-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/svg_metadata .*/crates/svg_metadata/@ANY_VERSION@/download
